Skip to content
Start here

Delete integration

zero_trust.casb.integrations.delete(strid, IntegrationDeleteParams**kwargs)
DELETE/accounts/{account_id}/one/integrations/{id}

Delete an integration by soft-deleting it.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
account_id: str
id: str

Delete integration

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
client.zero_trust.casb.integrations.delete(
    id="id",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
Returns Examples